Bug 7275 - failure to compile source4/dsdb/dns/dns_update.c
failure to compile source4/dsdb/dns/dns_update.c
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
unspecified
Other Solaris
: P3 normal
: ---
Assigned To: Jelmer Vernooij
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-22 03:45 UTC by Bernd Markgraf
Modified: 2010-03-25 03:41 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd Markgraf 2010-03-22 03:45:45 UTC
above file fails to compile:
dsdb/dns/dns_update.c: In function `dnsupdate_rebuild':
dsdb/dns/dns_update.c:137: error: implicit declaration of function `dprintf'

replacing dprintf with fdprintf makes it compile cleanly
Comment 1 Matthias Dieter Wallnöfer 2010-03-24 11:35:43 UTC
I think also this has been fixed by recent GIT versions.
Comment 2 Matthias Dieter Wallnöfer 2010-03-25 03:41:10 UTC
Mark it as "FIXED". Please reopen the bug report if it is not.

Commit: http://gitweb.samba.org/samba.git/?p=samba.git;a=commitdiff;h=a599319d0a389ff0c31dae8068cd7a78352aa9e7